Rygel.PlaySpeed – librygel-server Reference Manual

# PlaySpeed

## Object Hierarchy:

## Description:

public class PlaySpeed

This is a container for a PlaySpeed value.

A Playspeed can be positive or negative whole numbers or fractions. e.g. "2". "1/2", "-1/4"

Namespace: Rygel
Package: librygel-server

## Content:

### Creation methods:

- public PlaySpeed (int numerator, uint denominator)
- public PlaySpeed.from_string (string speed) throws PlaySpeedError

### Methods:

- public bool equals (PlaySpeed that)
- public bool is_positive ()
- public bool is_normal_rate ()
- public string to_string ()
- public float to_float ()
- public double to_double ()

### Fields:

- public int numerator
- public uint denominator